#include "DHT.h"
// nastavení čísla pinu s připojeným DHT senzorem
#define pinDHT A0
#define typDHT11 DHT11     // DHT 11
DHT mojeDHT(pinDHT, typDHT11);

#include <LiquidCrystal.h>
const int sensorPin = A1;

void setup() {
  // put your setup code here, to run once:
  pinMode(A1,INPUT); //teplomer
  pinMode(A0,INPUT); //vlhkomer
  Serial.begin(9600);
  mojeDHT.begin();
}

void loop() {
  float vlh = mojeDHT.readHumidity();
  // kontrola, jestli jsou načtené hodnoty čísla pomocí funkce isnan
  if (isnan(vlh)) {
    // při chybném čtení vypiš hlášku
    Serial.println("Chyba při čtení z DHT senzoru!");
  } else {
    // pokud jsou hodnoty v pořádku,
    // vypiš je po sériové lince
    Serial.print("vlhkost: "); 
    Serial.print(vlh);
    Serial.println(" %");
  }
  int sensorVal = analogRead(sensorPin);
  float voltage = (sensorVal / 1024.0) * 5.0;
  float temperature = (voltage - 0.5) * 100.0;
  Serial.print("teplota: ");
  Serial.print(temperature);
  Serial.println(" C");
  
  delay(2000);
}
